%define name libstroke
%define version 0.5.1
%define release %mkrel 9

%define fakename stroke

%define major 0
%define libname %mklibname %{fakename} %major
%define libnamedev %mklibname %{fakename} %major -d


Summary:	LibStroke is a stroke interface library
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.etla.net/libstroke/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libstroke-0.5.1-fix-underquoted-calls.patch
License:	GPL
Group: System/Libraries
%if %{mdkversion} >= 200700
BuildRequires:	libx11-devel
%else
BuildRequires:	XFree86-devel
%endif
BuildRequires:	gtk+1.2-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n	%{libname}
Summary:	LibStroke is a stroke interface library
Group:	System/Libraries

%description -n	%{libname}
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n	%{libnamedev}
Summary:	Development libraries for libStroke
Group:		Development/C
Provides:	%{name}-devel
Requires:	%{libname} = %{version}

%description -n %{libnamedev}
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%prep
%setup -q
%patch0 -p1 -b .underquoted

%build
%configure
# use system libtool (cheap fix, too ancient autotools in this package)
rm -f libtool
ln -s %{_bindir}/libtool .
%make

%install
rm -rf %{buildroot}

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS
%{_libdir}/libgstroke.so.0.0.5
%{_libdir}/libgstroke.so.0
%{_libdir}/libstroke.so.0.0.5
%{_libdir}/libstroke.so.0

%files -n %{libnamedev}
%defattr(-,root,root)
%doc INSTALL TODO
%{_datadir}/aclocal/*
%{_libdir}/libgstroke.a
%{_libdir}/libgstroke.la
%{_libdir}/libgstroke.so
%{_libdir}/libstroke.a
%{_libdir}/libstroke.la
%{_libdir}/libstroke.so
%{_includedir}/*


%changelog
* Mon Jan 29 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.1-9mdv2007.0
+ Revision: 115067
- fix P0

* Mon Jan 29 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.1-8mdv2007.1
+ Revision: 114805
- fix underquoted calls (P0)

* Tue Jan 16 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.5.1-7mdv2007.1
+ Revision: 109586
- fix build on modern platforms



* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 0.5.1-6mdk
- rebuild

* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-5mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5.1-4mdk
- rebuild
- quiet setup

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-3mdk
- rebuild

* Fri May  3 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.1-2mdk
- BuildRequires
- %{_datadir}/aclocal/ --> %{_datadir}/aclocal/*

* Thu Dec  6 2001 Warly <warly@mandrakesoft.com> 0.5.1-1mdk
- new version


# end of file
